package com.bonus.canteen.core.account.v3.api.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;

@Data
public class AccCountVO {
   @ApiModelProperty("账户数量")
   private Long accNums;
   @ApiModelProperty("押金总数")
   private BigDecimal depositTotal;

   public static AccCountVOBuilder builder() {
      return new AccCountVOBuilder();
   }

   public Long getAccNums() {
      return this.accNums;
   }

   public BigDecimal getDepositTotal() {
      return this.depositTotal;
   }

   public void setAccNums(final Long accNums) {
      this.accNums = accNums;
   }

   public void setDepositTotal(final BigDecimal depositTotal) {
      this.depositTotal = depositTotal;
   }




   public String toString() {
      Long var10000 = this.getAccNums();
      return "AccCountVO(accNums=" + var10000 + ", depositTotal=" + String.valueOf(this.getDepositTotal()) + ")";
   }

   public AccCountVO(final Long accNums, final BigDecimal depositTotal) {
      this.accNums = accNums;
      this.depositTotal = depositTotal;
   }

   public AccCountVO() {
   }

   public static class AccCountVOBuilder {
      private Long accNums;
      private BigDecimal depositTotal;

      AccCountVOBuilder() {
      }

      public AccCountVOBuilder accNums(final Long accNums) {
         this.accNums = accNums;
         return this;
      }

      public AccCountVOBuilder depositTotal(final BigDecimal depositTotal) {
         this.depositTotal = depositTotal;
         return this;
      }

      public AccCountVO build() {
         return new AccCountVO(this.accNums, this.depositTotal);
      }

      public String toString() {
         Long var10000 = this.accNums;
         return "AccCountVO.AccCountVOBuilder(accNums=" + var10000 + ", depositTotal=" + String.valueOf(this.depositTotal) + ")";
      }
   }
}
